com.hazelcast.config

## Class AliasedDiscoveryConfigUtils

- java.lang.Object
- - com.hazelcast.config.AliasedDiscoveryConfigUtils

-     public final class AliasedDiscoveryConfigUtils
      extends Object

  Utility class for Aliased Discovery Configs.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<AliasedDiscoveryConfig<?>>` | `aliasedDiscoveryConfigsFrom(JoinConfig config)` Gets a list of all aliased discovery configs from `config`.
    `static List<AliasedDiscoveryConfig<?>>` | `aliasedDiscoveryConfigsFrom(WanPublisherConfig config)` Gets a list of all aliased discovery configs from `config`.
    `static boolean` | `allUsePublicAddress(List<AliasedDiscoveryConfig<?>> configs)` Checks whether all aliased discovery configs have the tag <use-public-ip>true</use-public-ip.
    `static List<DiscoveryStrategyConfig>` | `createDiscoveryStrategyConfigs(JoinConfig config)` Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.
    `static List<DiscoveryStrategyConfig>` | `createDiscoveryStrategyConfigs(WanPublisherConfig config)` Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.
    `static AliasedDiscoveryConfig` | `getConfigByTag(JoinConfig config, String tag)` Gets the `AliasedDiscoveryConfig` from `config` by `tag`.
    `static AliasedDiscoveryConfig` | `getConfigByTag(WanPublisherConfig config, String tag)` Gets the `AliasedDiscoveryConfig` from `config` by `tag`.
    `static List<DiscoveryStrategyConfig>` | `map(List<AliasedDiscoveryConfig<?>> aliasedDiscoveryConfigs)` Maps aliased discovery strategy configs into discovery strategy configs.
    `static AliasedDiscoveryConfig` | `newConfigFor(String tag)` Creates new `AliasedDiscoveryConfig` by the given `tag`.
    `static boolean` | `supports(String tag)` Checks whether the given XML `tag` is supported.
    `static String` | `tagFor(AliasedDiscoveryConfig config)` Returns an XML tag (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### supports

          public static boolean supports(String tag)

      Checks whether the given XML `tag` is supported.

    - #### tagFor

          public static String tagFor(AliasedDiscoveryConfig config)

      Returns an XML tag (e.g. <gcp>) for the given config.

    - #### createDiscoveryStrategyConfigs

          public static List<DiscoveryStrategyConfig> createDiscoveryStrategyConfigs(JoinConfig config)

      Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.

    - #### createDiscoveryStrategyConfigs

          public static List<DiscoveryStrategyConfig> createDiscoveryStrategyConfigs(WanPublisherConfig config)

      Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.

    - #### map

          public static List<DiscoveryStrategyConfig> map(List<AliasedDiscoveryConfig<?>> aliasedDiscoveryConfigs)

      Maps aliased discovery strategy configs into discovery strategy configs.

    - #### getConfigByTag

          public static AliasedDiscoveryConfig getConfigByTag(JoinConfig config,
                                                              String tag)

      Gets the `AliasedDiscoveryConfig` from `config` by `tag`.

    - #### getConfigByTag

          public static AliasedDiscoveryConfig getConfigByTag(WanPublisherConfig config,
                                                              String tag)

      Gets the `AliasedDiscoveryConfig` from `config` by `tag`.

    - #### aliasedDiscoveryConfigsFrom

          public static List<AliasedDiscoveryConfig<?>> aliasedDiscoveryConfigsFrom(JoinConfig config)

      Gets a list of all aliased discovery configs from `config`.

    - #### aliasedDiscoveryConfigsFrom

          public static List<AliasedDiscoveryConfig<?>> aliasedDiscoveryConfigsFrom(WanPublisherConfig config)

      Gets a list of all aliased discovery configs from `config`.

    - #### allUsePublicAddress

          public static boolean allUsePublicAddress(List<AliasedDiscoveryConfig<?>> configs)

      Checks whether all aliased discovery configs have the tag <use-public-ip>true</use-public-ip.

      Note that if no config is enabled, then the method returns false.

    - #### newConfigFor

          public static AliasedDiscoveryConfig newConfigFor(String tag)

      Creates new `AliasedDiscoveryConfig` by the given `tag`.

Copyright © 2020. All rights reserved.